import { IndexedDBDocStore } from "@collabs/indexeddb";
export class IndexedDbSync {
    constructor(name) {
        this.name = name;
        this.store = new IndexedDBDocStore({
            dbName: this.name
        });
    }
    listen(doc) {
        this.store.subscribe(doc, this.name);
    }
}
